package com.ozs.common.core.domain.vo;


import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 部门
 *
 * @author hx
 */
@Data
public class SysDeptVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 父部门ID
     */
    private Long parentId;
    
    private String deptName;

    /**
     * 部门编码
     */
    private String deptCode;

    /**
     * 祖级列表
     */
    private String ancestors;


    private Integer orderNum;

    /**
     * 负责人
     */
    private String leader;

    private String phone;

    private String email;

    /**
     * 部门状态:1=正常,2=停用
     */
    private String status;

    /**
     * 删除标志（1代表存在 2代表删除）
     */
    private String delFlag;
}
