package com.ozs.common.utils.ip;

import com.ozs.common.utils.HttpClientUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.ozs.common.config.BaseConfig;
import com.ozs.common.constant.Constants;
import com.ozs.common.utils.StringUtils;
import com.ozs.common.utils.http.HttpUtils;

/**
 * 获取地址类
 *
 * @author hx
 */
public class AddressUtils
{
    private static final Logger log = LoggerFactory.getLogger(AddressUtils.class);

    // IP地址查询
    public static final String IP_URL = "http://whois.pconline.com.cn/ipJson.jsp";

    // 未知地址
    public static final String UNKNOWN = "XX XX";

    public static String getRealAddressByIP(String ip)
    {
        // 内网不查询
        if (IpUtils.internalIp(ip))
        {
            return "内网IP";
        }
        if (BaseConfig.isAddressEnabled())
        {
            try
            {
                log.error("url------------ {}", IP_URL+"?ip=" + ip + "&json=true");
                String rspStr = HttpClientUtil.getURL(IP_URL+"?ip=" + ip + "&json=true");
                log.error("rspStr------------ {}", rspStr);
                if (StringUtils.isEmpty(rspStr))
                {
                    log.error("获取地理位置异常 {}", ip);
                    return UNKNOWN;
                }
                JSONObject obj = JSON.parseObject(rspStr);
                log.error("obj------------ {}", obj);
                //String region = obj.getString("pro");
                String city = obj.getString("city");
                log.error("city------------ {}", city);
                return String.format("%s",  city);
            }
            catch (Exception e)
            {
                log.error("获取地理位置异常 {}", ip);
            }
        }
        return UNKNOWN;
    }
}
